---
- name: Create directory
  become: true
  ansible.builtin.shell: cd /usr/local/ && if [ ! -d "fpga_images" ]; then mkdir fpga_images; fi

- name: Get Agilex fpga images from Central Artifact Repository
  become: true
  ansible.builtin.get_url:
    url: https://artefact.skao.int/repository/raw-all/ska-pss-fdas-agilex-{{fpga_image_version}}.tar.gz
    dest: /usr/local/fpga_images
    mode: 744
    validate_certs: false

- name: Unzip Agilex fpga image files
  become: true
  ansible.builtin.unarchive:
    src: /usr/local/fpga_images/ska-pss-fdas-agilex-{{fpga_image_version}}.tar.gz
    dest: /usr/local/fpga_images/
    remote_src: true